%define upstream_name    Term-Size
%define upstream_version 0.211

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Perl extension for retrieving terminal size
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl-devel
%description
Term::Size is a Perl module which provides a straightforward way to get
the size of the terminal (or window) on which a script is running.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%dir %{perl_vendorarch}/auto/Term/Size
%{perl_vendorarch}/auto/Term/Size/*
%{perl_vendorarch}/Term/Size.pm
%{_mandir}/*/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.211.0-6.mga10
+ Revision: 2088232
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 0.211.0-5.mga10
+ Revision: 2010502
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.211.0-4.mga9
+ Revision: 1862437
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.211.0-3.mga9
+ Revision: 1796079
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.211.0-2.mga9
+ Revision: 1727143
- Rebuild for perl 5.34

* Fri Feb 26 2021 tv <tv> 0.211.0-1.mga9
+ Revision: 1692131
- update to 0.211

* Wed Jun 17 2020 umeabot <umeabot> 0.209.0-6.mga8
+ Revision: 1595283
- Rebuild for perl 5.32

* Wed Jun 17 2020 umeabot <umeabot> 0.209.0-5.mga8
+ Revision: 1594748
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.209.0-4.mga8
+ Revision: 1530116
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.209.0-3.mga8
+ Revision: 1433916
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.209.0-2.mga7
+ Revision: 1293874
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.209.0-1.mga7
+ Revision: 1254043
- update to 0.209

* Wed Aug 08 2018 pterjan <pterjan> 0.207.0-19.mga7
+ Revision: 1250436
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.207.0-18.mga7
+ Revision: 1166707
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.207.0-17.mga7
+ Revision: 1149290
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.207.0-16.mga7
+ Revision: 1126711
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.207.0-15.mga6
+ Revision: 1034011
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.207.0-14.mga6
+ Revision: 958075
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.207.0-13.mga6
+ Revision: 845310
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.207.0-12.mga6
+ Revision: 841156
- Rebuild for perl 5.22

* Sun Oct 19 2014 umeabot <umeabot> 0.207.0-11.mga5
+ Revision: 788492
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.207.0-10.mga5
+ Revision: 749284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.207.0-9.mga5
+ Revision: 686387
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.207.0-8.mga5
+ Revision: 631743
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.207.0-7.mga4
+ Revision: 524477
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.207.0-6.mga4
+ Revision: 430969
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.207.0-5.mga3
+ Revision: 373316
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.207.0-4.mga3
+ Revision: 251197
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.207.0-3.mga2
+ Revision: 105025
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.207.0-2.mga1
+ Revision: 23959
- clean up spec file
- imported package perl-Term-Size


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.207.0-2mdv2011.0
+ Revision: 555204
- rebuild for 5.12

* Mon Jul 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.207.0-1mdv2010.0
+ Revision: 392714
- update to 0.207
- using %%perl_convert_version
- fix license field

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2-8mdv2009.0
+ Revision: 258510
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.2-7mdv2009.0
+ Revision: 246527
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2008.1
+ Revision: 152324
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2-4mdv2008.0
+ Revision: 25458
- rebuild

* Mon May 07 2007 Olivier Thauvin <nanardon@mandriva.org> 0.2-3mdv2008.0
+ Revision: 23830
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.2-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2-1mdk
- initial Mandriva package

